/**
 * @file
 * jQuery code.
 * Display language selection popup.
 */

/**
 * Display popup for language selection.
 */
Drupal.behaviors.language_popup = {
  attach: function(context) {
    var language_list = Drupal.settings.language_popup.language_list;
    var language_popup_title = Drupal.settings.language_popup.popup_title;
    var language_popup_body = language_list;

    var popup_body = '<div id="language_popup_list"><ul>';
    jQuery.each(language_popup_body, function(i, val) {
      popup_body += '<li><a href=' + i + '>' + val + '</a></li>';
    });
    popup_body += '</ul></div>';

    jQuery('body').append("<div id='popup-message-window'><h1 class='popup-message-title'>" + language_popup_title + "</h1><div id='popup-message-content'>" + popup_body + "</div></div>");

    jQuery("#popup-message-window").css({
      "position": "absolute",
      "top": "50%",
      "left": "50%"
    });
    jQuery("#popup-message-window").fadeIn("slow");      
  }
};
