<?php

/**
 * @file
 * The admin page of the language selection page module.
 */

/**
 * The admin page form.
 *
 * @return array
 */
function language_popup_admin($form, &$form_state) {
  $language_list = language_list('enabled');
  foreach ($language_list[1] as $key => $value) {
    $languages[$key] = $value->name;
  }

  $form['language_popup_default_redirect'] = array(
    '#type' => 'select',
    '#options' => $languages,
    '#title' => t('Language redirects configuration'),
    '#default_value' => variable_get('language_popup_default_redirect'),
    '#description' => t('Language redirects other than default language'),
  );

  $form['language_popup_heading'] = array(
    '#type' => 'textfield',
    '#title' => t('Popup heading'),
    '#default_value' => variable_get('language_popup_heading'),
    '#description' => t('Popup heading text that displays in popup.'),
  );

  return system_settings_form($form);
}
